%global xfceversion %(version=4.14.2; echo ${version%\.*})

Name:           xfwm4
Version:        4.14.2
Release:        1%{?dist}
Epoch:          1000
Summary:        Next generation window manager for Xfce

License:        GPLv2+
URL:            http://www.xfce.org/
#VCS git:git://git.xfce.org/xfce/xfwm4
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2

Patch0: 0001-Qubes-decoration.patch
Patch1: 0002-Qubes-decoration-custom-colors.patch
Patch2: 0003-Qubes-decoration-black-hack.patch
Patch3: 0004-Don-t-reset-client-struct.patch
Patch4: 0005-Qubes-decoration-handle-guivm-windows-prefix.patch
Patch5: 0006-Qubes-decoration-title-colors.patch

BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libXext-devel
%if 0%{?fedora}
BuildRequires:  libXpresent-devel
%endif
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libXcomposite-devel
BuildRequires:  libXdamage-devel
BuildRequires:  startup-notification-devel >= 0.5
BuildRequires:  libwnck3-devel >= 3.14
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils
Requires:	qubes-desktop-linux-common
Provides:       firstboot(windowmanager) = xfwm4

%description
xfwm4 is a window manager compatible with GNOME, GNOME2, KDE2, KDE3 and Xfce.

%prep
%autosetup -p1


%build
%configure  --disable-static

%make_build

%install
%make_install

%find_lang %{name}

for file in %{buildroot}/%{_datadir}/applications/*.desktop; do
    desktop-file-validate $file
done

%files -f %{name}.lang
%license COPYING
%doc example.gtkrc-2.0 README TODO AUTHORS COMPOSITOR
%{_bindir}/xfwm4
%{_bindir}/xfwm4-settings
%{_bindir}/xfwm4-tweaks-settings
%{_bindir}/xfwm4-workspace-settings
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfwm4
%{_datadir}/themes/*
%dir %{_libdir}/xfce4/xfwm4/
%{_libdir}/xfce4/xfwm4/helper-dialog


%changelog
* Sun May 17 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-xfce4-xfwm4.git

* Sun May 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b8c6638
- Update to 4.14.2

* Mon Mar 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 560204c
- version 4.13.1-11

* Fri Mar 13 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 9533973
- Add dark and light title colors

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a3915dc
- travis: switch to dom0 Fedora 31

* Sat Nov 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b3f41d
- version 4.13.1-10

* Sat Nov 16 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 24b7149
- qubes-decoration: fix missing else case

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 459e3e3
- Exclude build on centos7

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be3d84b
- version 4.13.1-9

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6414212
- qubes-decoration: handle guivm windows prefix

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9e9027d
- travis: switch to bionic

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ef438ac
- travis: add Fedora VM builds for R4.1

* Fri Oct 18 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ce4e340
- Allow build for VM

* Fri Sep 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 74392a8
- Fix client structure initialization

* Sun Jun 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ecd3c06
- Update to xfwm4-4.13.1

* Tue Apr 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 46c209e
- travis: switch to xenial

* Sun Apr 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 70d011f
- Initial commit from qubes-desktop-linux-xfce4

